Skip to main content
GET
https://api.0xarchive.io
/
v1
/
data-quality
/
incidents
List incidents
curl --request GET \
  --url https://api.0xarchive.io/v1/data-quality/incidents \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api.0xarchive.io/v1/data-quality/incidents"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.0xarchive.io/v1/data-quality/incidents', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.0xarchive.io/v1/data-quality/incidents"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-API-Key", "<api-key>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(string(body))

}
{
  "incidents": [
    {
      "id": "<string>",
      "exchange": "<string>",
      "data_types": [
        "<string>"
      ],
      "symbols_affected": [
        "<string>"
      ],
      "started_at": "2023-11-07T05:31:56Z",
      "resolved_at": "2023-11-07T05:31:56Z",
      "duration_minutes": 123,
      "title": "<string>",
      "description": "<string>",
      "root_cause": "<string>",
      "resolution": "<string>",
      "records_affected": 123,
      "records_recovered": 123
    }
  ],
  "pagination": {
    "total": 123,
    "limit": 123,
    "offset": 123
  }
}
{
  "code": 401,
  "error": "Missing or invalid API key. Provide X-API-Key header."
}

Authorizations

X-API-Key
string
header
required

API key for authentication. Get yours at https://0xarchive.io/dashboard

Query Parameters

status
enum<string>

Filter by incident status

Available options:
open,
investigating,
identified,
monitoring,
resolved
exchange
string

Filter by exchange

since
integer<int64>

Only show incidents starting after this timestamp (Unix ms)

limit
integer
default:20

Maximum results per page (default: 20, max: 100)

Required range: x <= 100
offset
integer
default:0

Pagination offset

Response

List of incidents

Incidents list response

incidents
object[]
pagination
object

Pagination info

Last modified on July 7, 2026